1 (edited by beipink 2007-07-09 04:13)

Topic: PHP4 is dead check it out!!

http://gophp5.org/projects

That's might interest punbb developers too.

Thanks for the good job

Re: PHP4 is dead check it out!!

that list hardly indicates PHP4 is dead. wink

~James
FluxBB - Less is more

Re: PHP4 is dead check it out!!

On the contrary this website indicates that PHP4 is alive and well (and I'd say that's a reliable source).

4

Re: PHP4 is dead check it out!!

Unfortunately, like IE6, it seems to be alive and kicking. Anyway, why is it relevant. PunBB runs on both php4 and php5.

Re: PHP4 is dead check it out!!

The thread title might be a little misleading, but if you follow this thread in the PHP internals mailing list, you'll see that there are plans afoot to cease support for PHP4 within the next 12 months or so (excluding critical security fixes).

Re: PHP4 is dead check it out!!

Paul wrote:

Unfortunately, like IE6, it seems to be alive and kicking.

Look at the bright side Paul, IE for Mac is dead and buried. wink

Re: PHP4 is dead check it out!!

I really don't get this kind of discussion.
isn't that an issue of those who use it?
Can anybody explain me how and why should one be worried about this? This is not being sarcastic or whatsoever, i really don't understand this "OMG, it's PHP4...run!"

Re: PHP4 is dead check it out!!

PHP5 fixes most of PHP4's issues, but because the majority of web hosts still use PHP4, applications like PunBB have to find workarounds for native PHP5 things in PHP4.

Re: PHP4 is dead check it out!!

elbekko wrote:

PHP5 fixes most of PHP4's issues, but because the majority of web hosts still use PHP4, applications like PunBB have to find workarounds for native PHP5 things in PHP4.

the majority of web hosts still use php4?!?!?

I would be very surprise if clicking on the google top ten for "web hosting"
php5 would not be suported on lets 8 of them ( not to say all of them )

Re: PHP4 is dead check it out!!

As Paul pointed out, PunBB supports both PHP 4 and PHP 5. I can't think of any features we've decided not to implement because of PHP4. So, it doesn't make sense for us to limit PunBB to PHP5 wink

http://fluxbb.org

Free PunBB Hosting - lots of mods, easy to customize

Re: PHP4 is dead check it out!!

Funny how this stuff happens... Anyways PHP officially announced PHP4 EOL today, so maybe punbb should just take the leap and discontinue support for PHP4 (remove the ported functions and version checks for said function)...

I enjoy pie :)

12 (edited by Reines 2007-07-14 06:44)

Re: PHP4 is dead check it out!!

To expand slightly on what Mediator said:

php.net wrote:

PHP 4 end of life announcement
[13-Jul-2007]

Today it is exactly three years ago since PHP 5 has been released. In those three years it has seen many improvements over PHP 4. PHP 5 is fast, stable & production-ready and as PHP 6 is on the way, PHP 4 will be discontinued.

The PHP development team hereby announces that support for PHP 4 will continue until the end of this year only. After 2007-12-31 there will be no more releases of PHP 4.4. We will continue to make critical security fixes available on a case-by-case basis until 2008-08-08. Please use the rest of this year to make your application suitable to run on PHP 5.

For documentation on migration for PHP 4 to PHP 5, we would like to point you to our migration guide. There is additional information available in the PHP 5.0 to PHP 5.1 and PHP 5.1 to PHP 5.2 migration guides as well.

13 (edited by sleddog 2007-07-14 10:45)

Re: PHP4 is dead check it out!!

pedrotuga wrote:
elbekko wrote:

PHP5 fixes most of PHP4's issues, but because the majority of web hosts still use PHP4, applications like PunBB have to find workarounds for native PHP5 things in PHP4.

the majority of web hosts still use php4?!?!?

I would be very surprise if clicking on the google top ten for "web hosting"
php5 would not be suported on lets 8 of them ( not to say all of them )

It's true that many webhosts use PHP4 (not necessarily a 'majority', but I doubt if anyone really knows that).

For a webhost, the issue is compatibility of clients' scripts. When you have thousands of clients there's a good chance that a significant percentage are running PHP scripts that will break under PHP5. Simply switching overnight to PHP5 would inundate the host's support desk and piss off a large number of clients. So the transition to PHP5 has to be done gently, and involve the clients. Some hosts offer PHP4 and PHP5, and provide the client the option to choose. PHP4 will disappear, but it will take time.

Re: PHP4 is dead check it out!!

Mediator wrote:

Funny how this stuff happens... Anyways PHP officially announced PHP4 EOL today, so maybe punbb should just take the leap and discontinue support for PHP4 (remove the ported functions and version checks for said function)...

My personal opinion: once it actually becomes an issue (eg: we want to write a new feature but can't make it compatible with PHP4), then we can choose not to support PHP4 anymore. However, in the meantime, why change if it still works?

http://fluxbb.org

Free PunBB Hosting - lots of mods, easy to customize

Re: PHP4 is dead check it out!!

Smartys wrote:

However, in the meantime, why change if it still works?

Part of the point of a project like GoPHP5 is that regardless of whether or not projects "need" PHP 5, if enough "major" PHP projects exclusively support PHP 5, then end users will have an interest in finding a host that supports PHP 5, and thus hosts will have an interest in implementing it.

P.S. Don't get me wrong; I'm not trying to tell you or anyone else how to develop. I'm perfectly fine with PHP 4 support remaining.

Looking for a certain modification for your forum? Please take a look here before posting.

Re: PHP4 is dead check it out!!

pogenwurst wrote:
Smartys wrote:

However, in the meantime, why change if it still works?

Part of the point of a project like GoPHP5 is that regardless of whether or not projects "need" PHP 5, if enough "major" PHP projects exclusively support PHP 5, then end users will have an interest in finding a host that supports PHP 5, and thus hosts will have an interest in implementing it.

P.S. Don't get me wrong; I'm not trying to tell you or anyone else how to develop. I'm perfectly fine with PHP 4 support remaining.

Yes, but my point was that there's no incentive for PunBB specifically to drop support for PHP 4. If PHP 5 had a feature we really wanted to use but couldn't easily emulate, then we would have to weigh that feature versus dropping support. My comment was only pertaining to PunBB: I obviously can't speak for other developers who might LOVE to redevelop their application using PDO, for example.

http://fluxbb.org

Free PunBB Hosting - lots of mods, easy to customize